Subject: Re: [bitcoindev] Re: Removing OP_Return restrictions: Devil's Advocate Position

From: Peter Todd <[email-masked]>
Date: Mon, 5 May 2025 21:45:14 +0000

On Fri, May 02, 2025 at 03:58:35PM -0700, Greg Maxwell wrote:
> A point of clarification,  that's really a scheme to keep arbitrary data 
> out of unprunable data.  The proofs that the values in question are what 
> they're supposed to be are themselves arbitrary data channels.  But these 
> proofs are prunable.

When you originally proposed the scheme that may have been true. But
these days you could probably use zero-knowledge-proofs to prove that
hash digests are in fact hash digests, without having to include the
actual pre-images of those hash digests.

> A point I raised on bitcointalk: If you work out how much it costs to store 
> data on S3 (by far not the cheapest internet data storage) for *forever* 
> you end up with a rate that is less than a hundred thousandth the current 
> Bitcoin minimum fee rate-- maybe way less if you also factor in the cost of 
> storage decreasing, but I didn't.  Data stuffers are not particularly price 
> sensitive, if they were they wouldn't be using Bitcoin at all.  Schemes to 
> discourage them by causing them increased costs (e.g. by forcing them to 
> encode in ways that use more block capacity) shouldn't be expected to work.

But Amazon doesn't offer a service to store data on S3 forever. Not even
indefinitely. The best you can do is pre-pay costs:

https://aws.amazon.com/about-aws/whats-new/2021/06/aws-now-allows-customers-to-pay-for-their-usage-in-advance-/

But even *that* service doesn't actually work in a lot of cases from
what I've heard. For example, I've heard that even if you have two
different AWS accounts, Amazon will use pre-paid funds from one to pay
the bills of another if they believe the accounts are the same
underlying entity (this is quite relevant to me as one of the ways I
backup the OpenTimestamps calendars I run is snapshots saved to S3
Glacier Deep Archive). There's also the issue that for Amazon's cheap
storage (S3 Glacier), it's quite hard for the general public to get
access to the data even if the person storing it wants to make it
available.

Comparing Bitcoin data storage/publication to centralized services like
AWS just isn't a good comparison. Like it or not, but public blockchains
are genuinely a unique service that aren't provided elsewhere.

Also of course, S3 only offers storage. Not publication. Things like
Citrea (and Lightning) specifically need data publication.

> And to the extent that what many of these things have been doing is trying 
> to profit off seigniorage-- creating a rare 'asset' to sell to some greater 
> fool and profit off the difference-- further restricting them could 
> increase their volume because the resource they need has been made more 
> rare.  For the vast majority of users the ire comes about this stuff from 
> the fact that they've driven up fees at times, but that is dependent on 
> what they're willing to spend, which is likely not particularly related to 
> the marginal data rates. (And one could always embed smaller jpegs, 
> compress them better, or not use raw json instead of an efficient encoding 
> if they cared.. which they clearly don't.)

No, they do. As fees increased the hype around these tradable assets
moved from heavy-weight inscriptions (full-on JPGs) to absurd,
lightweight, memecoins that could be "registered" with much smaller
inscriptions. Costs do matter, even to the scammy vibe trading industry.

-- 
https://petertodd.org 'peter'[:-1]@petertodd.org

-- 
You received this message because you are subscribed to the Google Groups "Bitcoin Development Mailing List" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [email-masked].
To view this discussion visit https://groups.google.com/d/msgid/bitcoindev/aBkxapFiBxC_TeEy%40petertodd.org.